BizKitHub
DocsAPI ReferenceIssue Tags/bff/issue-tag/create
postIssue TagsAdmin BFF

/bff/issue-tag/create

Creates a tag in the organisation catalogue. Re-using the code of a previously deleted tag revives it (with its old issue links).

Issue TagspostBffIssue-tagCreate

Parameters

JSON body

Request body

application/json
labelstringRequired

Display name.

Length: 1–100
codestringOptional

Unique code inside the organisation. Slugified on write; derived from label when empty.

Length: 0–64
colorstringOptional

Chip colour in #RRGGBB format.

descriptionstring | nullOptional
One of 2:
Variant 1
string

Optional description.

Length: 0–2000
Variant 2
null

Response schema

1 status code documented

200Success
idnumberRequired

Tag ID (pm__tag.id).

codestringRequired

Machine code, unique inside the organisation (slug).

labelstringRequired

Display name.

colorstringRequired

Chip colour #RRGGBB.

descriptionstring | nullRequired
One of 2:
Variant 1
string

Optional operator note explaining when to use the tag.

Variant 2
null

Response example

application/json
{
  "id": 0,
  "code": "example_code",
  "label": "example_label",
  "color": "example_color"
}

Request example

POST /bff/issue-tag/create

post
curl -X POST "https://api.bizkithub.com/bff/issue-tag/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "label": "example_label",
  "code": "example_code",
  "color": "example_color"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key